Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Update Problems


Guest

Recommended Posts

Im currentley trying to update my website and getting nowhere fast.

 

To be honest i just dont have a clue where to start.

i downloaded the update and uploaded the catalog folder, browsed to it from ie and connected and ran the update and recieved the following error

 

Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in /home/tamescou/public_html/catalog/install/includes/functions/database.php on line 45

 

The database upgrade procedure was successful!

 

 

where do i go from here, any help would be appreciated, i also have 2 databses and am unsure which one im using, how can i check this.

???????

 

thanks Tony

Link to comment
Share on other sites

You should not upgrade an existing store by uploading the entire package to your server.

 

You should instead read the upgrade documentation (update-20060817.txt) and follow the intructions to update only those files that need updating (I use a file comparison tool)

 

 

There are three SQL queries at the end of that file that must be run on your database

 

 

 

 

Sonia

Link to comment
Share on other sites

You should not upgrade an existing store by uploading the entire package to your server.

 

You should instead read the upgrade documentation (update-20060817.txt) and follow the intructions to update only those files that need updating (I use a file comparison tool)

There are three SQL queries at the end of that file that must be run on your database

Sonia

 

 

Hi thats all well and good but i dont have a clue what needs upgrading, i was just told there is a newer version available so i downloaded it.

 

Any more help would be appreciated

Link to comment
Share on other sites

The text file I referred to is contained within the package.

 

My instruction to you as to what to do with it are quite correct.... if you read that document it tells exactly what to do.

 

 

 

Sonia

Link to comment
Share on other sites

The text file I referred to is contained within the package.

 

My instruction to you as to what to do with it are quite correct.... if you read that document it tells exactly what to do.

Sonia

 

Actually, those instructions -- at least the .txt file you reference -- aren't in the package (osCommerce_PayPal_IPN_v1.4). It is also not in the install/read me guide either.

 

I've checked both 1.4 and 1.3 for the file you reference. Help us both out, please.

 

NDirge

Link to comment
Share on other sites

Actually, those instructions -- at least the .txt file you reference -- aren't in the package (osCommerce_PayPal_IPN_v1.4)

 

That would be because no one was talking about the osCommerce Pay Pal IPN package :D

 

Vger

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...